Subject: [Sigtran] In IUA, one AS to multiple SGs connection

From: Binggang Liu <[email-masked]>
Date: Wed, 11 Jan 2006 14:33:17 +0800

Hi, Folks,

My question is: is it allowed that one AS connect to multiple SGs, in IUA?

If no, Why?

If yes, is there any requirement about ASP? Can the AS use only one ASP to
connect to all these SGs or it must employ one ASP for each SG?

Thank you!

Regards,
Binggang Liu
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Sergey Mikhailov" <[email-masked]>
Date: Wed, 11 Jan 2006 13:52:42 +0300

Binggang,

Although I didn't find it in IUA specification, I don't think it differs from M3UA at this point.

The RFC3332 (and RFC3332bis05 draft as well) for M3UA states (section 1.3.2.5):

"As shown in Figure 1 an ASP may be connected to multiple SGPs. In such a case a particular SS7 destination may be reachable via more than one SGP and/or SG, i.e., via more than one route. As MTP3 users only maintain status on a destination and not on a route basis, the M3UA layer must maintain the status (availability, restriction, and/or congestion of route to destination) of the individual routes, derive the overall availability or congestion status of the destination from the status of the individual routes, and inform the MTP3 users of this derived status whenever it changes."

Thus, I think that no restrictions are implied on an AS implementation: it may use single ASP to connect to all necessary SGs/SGPs as well as use multiple ASPs for that purpose.

Sergey Mikhailov.

  ----- Original Message ----- 
  From: Binggang Liu 
  To: [email-masked] 
  Sent: Wednesday, January 11, 2006 9:33 AM
  Subject: [Sigtran] In IUA, one AS to multiple SGs connection

  Hi, Folks,

  If no, Why?

  If yes, is there any requirement about ASP? Can the AS use only one ASP to connect to all these SGs or it must employ one ASP for each SG?

  Thank you!

  Regards,
  Binggang Liu

------------------------------------------------------------------------------

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 11 Jan 2006 04:15:38 -0700

Binggang,

Its conceivable, but why would you want to do it?

--brian

Binggang Liu wrote:                       (Wed, 11 Jan 2006 14:33:17)
>    If  yes,  is  there any requirement about ASP? Can the AS use only one
>    ASP to connect to all these SGs or it must employ one ASP for each SG?
> 
> 
> 
>    Thank you!
> 
> 
> 
>    Regards,
> 
>    Binggang Liu

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Sergey Mikhailov" <[email-masked]>
Date: Wed, 11 Jan 2006 17:10:58 +0300

Binggang,

you can also see an example IUA logical network architecture in Appendix A of the new RFC 4233 (page 70).

Regards,
Sergey Mikhailov.

  ----- Original Message ----- 
  From: Binggang Liu 
  To: [email-masked] 
  Sent: Wednesday, January 11, 2006 9:33 AM
  Subject: [Sigtran] In IUA, one AS to multiple SGs connection

  Hi, Folks,

  If no, Why?

  Thank you!

  Regards,
  Binggang Liu